#ifndef MATRICE_8X8_H
#define MATRICE_8X8_H

#include "ci2c.h"

class Matrice_8x8
{
public:
    Matrice_8x8(int address); // Constructeur de la classe avec comme parametre l'adresse de la matrice add 0x70 0x71 0x73 0x75 0x77
    void init(); // Initialisation de la matrice
    void writeNumber(int number, int color); // Ecrire un chiffre
    void WriteCharSpecial(char special, int color); // Ecrire un chars ':', 'h', 'H';
    void clear(); // efface la matrice

private:
    unsigned char bufferI2c[2];

    Ci2c *HT16K33;
};

#endif // MATRICE_8X8_H
