#ifndef MATRICE_8X8_H
#define MATRICE_8X8_H

#include "HT16K33.h"
#include "ci2c.h"
#include <wiringPi.h>
#include <wiringPiI2C.h>

class Matrice_8x8
{
public:
    Matrice_8x8(int addMatrice);
    int writeRoWRaw(int intNumber, int value);
    void clearPixel(int x, int y);
    int setPixel(int x, int y, int color);


    //
    void setBrightness(int brightness);
    void setBlinkRate(char blinkRate);
    int setBufferRow(int row, int value, bool update);
    void writeDisplay();
    void clear(bool update);

    int buffer[8];

    unsigned char bufferI2c[8];

    Ci2c *HT16K33;

private:
    int fdAddMatrice;
};

class Matrice_8x8_color : public Matrice_8x8
{
public:
    int setPixel(int x, int y, int color);

private:

};

#endif // MATRICE_8X8_H
