#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

#include "ds3231.h"
#include "matrice_8x8.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    
private slots:
    void on_btn_get_hour_clicked();

    void on_btn_set_clicked();

    void on_btn_get_date_clicked();

    void on_btn_reset_clicked();

private:
    Ui::MainWindow *ui;

    DS3231 *RTC3231;

    int add;

    Matrice_8x8 *Matrice_1;
    Matrice_8x8 *Matrice_2;
    Matrice_8x8 *Matrice_3;
    Matrice_8x8 *Matrice_4;
    Matrice_8x8 *Matrice_5;
};

#endif // MAINWINDOW_H
