// inclusions des librairies
#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <wiringPi.h>
#include <wiringPiI2C.h>
#include <string.h>
#include "PCA8574.h"

using namespace std;

#ifndef I2C_AFFICHEUR_4X20_H
#define I2C_AFFICHEUR_4X20_H

class I2C_Afficheur_4x20
{
public:
    I2C_Afficheur_4x20(int lcdAddress);
    void lcdInit(int light);
    void writeLcdDisplay(string text, int line);
    void lcdClear();

// Declaration des attribues
private:
   int addressLcd;
   int addrI2C;
   int enLight;

   void write4bits(int data);
   void wirteLcd(int cmd, int mode);
   void wirteStrob(int data);
   void writeCmd(int cmd);
};

#endif // I2C_AFFICHEUR_4X20_H
