#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "i2c_afficheur_4x20.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    
private slots:
    void on_PB_sendAll_clicked();

    void on_PB_clearAll_clicked();

private:
    Ui::MainWindow *ui;
    I2C_Afficheur_4x20 *lcd;
};

#endif // MAINWINDOW_H
