#include "i2c_afficheur_4x20.h"

#define address 0x20

// Compilation
// g++ -o lcdExample lcdExample.cpp Ci2c.cpp i2c_afficheur_4x20.cpp

int main(void)
{
	I2C_Afficheur_4x20 lcd(address);	// cree un new objet avec comme parametre l'addresse du composant
	lcd.lcdInit();		// Initialisation de l'afficheur

	lcd.lcdClear();		// efface l'afficheur
	lcd.displayOn();	// Permet de metre en fonction le BACKLIGHT
	lcd.writeLcdDisplay("Le 09/03/2016", 1);	// Permet d'ecrire sur l'afficheur avec comme parametres le text et la ligne
	lcd.writeLcdDisplay("soutenance revue 1", 2);
	lcd.writeLcdDisplay("de 15h00 a 15h30", 3);
	lcd.writeLcdDisplay("GALLEGO Damien", 4);
	
	sleep(5);  // 5 secondes
	
	lcd.displayOff(); 	// Permet d'effacer l'afficheur et d'eteindre le BACKLIGHT
}
