#include <iostream>
#include "Ci2c.h"

using namespace std;

// Compilation
// g++ -o scanner_I2C scanner_I2C.cpp Ci2c.cpp

int main(void)
{
	unsigned char address = 0x01, buffer[1] = {0};
	int nDevices = 0, error; 

	cout<<"Scan en cours..."<<endl;

	for(int i = 1; i < 127; i++)
	{
		Ci2c test('1', address);
		error = test.writeToI2C(buffer, 0);
		address++;

		if(!error)
		{
			cout<<"Périphérique I2C trouvé a l'adresse 0x"<<hex<<i<<endl;

			nDevices++;
		}
	}
	if(!nDevices)
	{
		cout<<"Aucun périphérique I2C trouvé"<<endl;
	}
	else
	{
		cout<<"Complet"<<endl;
	}
}