#include "mainwindow.h"
#include "ui_mainwindow.h"

int etat;
int memeetat;
int garer = 27;                                                   //broche libre sur la rpi pour pour lire la présence ou non du véhicule

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    wiringPiSetup();
    pinMode(garer, INPUT);

    T1 = new QTimer(this);
    T1->setInterval(500);
    connect(T1,SIGNAL(timeout()),this,SLOT(sltOnTimer()));          // initialisation du timer pour la lecture de présence véhicule
    T1->start();

    memeetat = 0;

    T2 = new QTimer(this);                                                 //initialisation du timer pour "nobadge"
    T2 ->setInterval(15000);
    connect(T2,SIGNAL(timeout()),this,SLOT(sltOnTimer2()));

}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::demarrer()                                     //si présence véhicule alors on active demarrer
{    

    poney = "0";

    T2->start();

    ui->label_5->setText("demarrer");

    QString command="sudo rm UID.txt ; sudo rm NOTARGET.txt";
       system(qPrintable(command));                                   // suppr UID et NOTARGET.txt
    QString command2="sudo nfc-poll | grep 'UID' >> UID.txt";         // lancement nfc UID --> UID.txt
       system(qPrintable(command2));


       QString texte, realtexte;
       QFile fichier("UID.txt");

       if(fichier.open(QIODevice::ReadOnly | QIODevice::Text))
       {
           realtexte = fichier.readAll();
           texte = realtexte.simplified();
           texte = texte.trimmed();                                    //lecture UID.txt (apres suppréssion espaces)
           ui->label_3->setText(realtexte);
           fichier.close();
       }



       delay(500);

       QString host = "localhost";
       QString dbname = "/home/pi/QTtestBDD-build-embedded-Qt_4_8_2_in_PATH__System__Release/Urbaco";
       QString username = "root";                                                                         //emplacement BDD
       QString pwd = "";

       d_db = QSqlDatabase::addDatabase("QSQLITE");

       d_db.setHostName(host);                                                        //lecture BDD (parametres pour Open)
       d_db.setDatabaseName(dbname);
       d_db.setPassword(pwd);
       d_db.setUserName(username);

       if(d_db.open())
       {
           this->ui->label_6->setText("OUVERT");

           QSqlQuery lamaquery("SELECT num FROM nfc WHERE uid ='"+ texte +"'");     // colonne num de la bdd nfc pour ligne uid = texte
                  while (lamaquery.next())
          {
              poney = lamaquery.value(0).toString();
              this->ui->label_5->setText(poney);                                      //poney prend la valeur trouvé dans la BDD
          }


    }

       if(poney == "1")
       {
           eteindre();

          delay(500);

           QString command3 ="cd /home/pi/Desktop/projet/matrice_16x32/rpi-rgb-led-matrix-master ; sudo ./led-image-viewer -r 16  camion.png& ";
           system(qPrintable(command3));
                                                          //afficher le camion si la lecture BDD donne 1
           T2->stop();
       }
       else if(poney == "2")
       {
           eteindre();

          delay(500);

           QString command4 ="cd /home/pi/Desktop/projet/matrice_16x32/rpi-rgb-led-matrix-master ; sudo ./led-image-viewer -r 16  handicape.png& ";
           system(qPrintable(command4));
                                                           //afficher handicape si la lecture BDD donne 2
           T2->stop();
       }
       else if(poney == "")
       {
               d_db.close();                   //fermeture BDD si la variable est vide pour eviter les problemes

       }
}

void MainWindow::arreter()            //quand la voiture se retire de l'emplacement
{

    eteindre();

    delay(500);

    QString command7 ="cd /home/pi/Desktop/projet/matrice_16x32/rpi-rgb-led-matrix-master ; sudo ./led-image-viewer -r 16  parking.png& ";
         system(qPrintable(command7));

}

void MainWindow::eteindre()
{
    QString command5 ="sudo pidof led-image-viewer >> eteindre.txt";
    system(qPrintable(command5));                                          //récupération de tout les ledimages en fond

    QString texte2, realtexte2;
    QFile fichier("eteindre.txt");

         if(fichier.open(QIODevice::ReadOnly | QIODevice::Text))
             {
                 realtexte2 = fichier.readAll();
                 texte2 = realtexte2.simplified();
                 texte2 = texte2.trimmed();
                 fichier.close();
                 QString command6 ="sudo kill -9 " + texte2;                  //suppréssion de tout les ledimage du fichier eteindre.txt
                 system(qPrintable(command6));
             }
}
void MainWindow ::sltOnTimer()
{
    etat = digitalRead(garer);

    ui->label_4->setNum(etat);



    switch(etat)
    {
       case 0 :

        if(etat!=memeetat)
              {
                  memeetat = etat;
                  arreter();
                  break;                                                 //lecture etat broche
              }
       case 1 :

        if(etat!=memeetat)
              {
                  memeetat = etat;
                  demarrer();
                  break;
              }

    }

}

void MainWindow::sltOnTimer2()                                         // si personnes de badge
{

 eteindre();                                                              // appel de la fonction eteindre



 delay(500);

 QString command5 ="sudo pidof nfc-poll >> notarget.txt";                  //recupération de tout les programme en arriere plan nfc
 system(qPrintable(command5));

 QString texte2, realtexte2;
 QFile fichier("notarget.txt");

      if(fichier.open(QIODevice::ReadOnly | QIODevice::Text))
          {
              realtexte2 = fichier.readAll();                           // lecture fichier texte
              texte2 = realtexte2.simplified();
              texte2 = texte2.trimmed();                                 // on enleve les espaces devant et derriere
              fichier.close();
              QString command6 ="sudo kill -9 " + texte2;                 // suppréssion des programmes nfc du fichier notarget
              system(qPrintable(command6));
          }

      QString command7 ="cd /home/pi/Desktop/projet/matrice_16x32/rpi-rgb-led-matrix-master ; sudo ./led-image-viewer -r 16  attendre.png& ";
           system(qPrintable(command7));

 T2->stop();

}



