#ifndef MAINWINDOW_H
#define MAINWINDOW_H


#include <QMainWindow>
#include <QtGlobal>
#include <cstdlib>
#include <QString>
#include <iostream>
#include <QApplication>
#include <QTextEdit>
#include <QFile>
#include <QTextStream>
#include <wiringPi.h>
#include <QTimer>
#include <signal.h>



#include <QtSql/QSqlDatabase>
#include <QtSql/QSqlQuery>
#include <QtSql/QSqlDriver>                           //librairie bdd
#include <QtSql/QSqlDriverPlugin>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();


    QSqlDatabase d_db;
    QString d_host , d_dbname, d_username , d_pwd;

private slots:


    void eteindre();
    void demarrer();
    void arreter();
    void sltOnTimer();
    void sltOnTimer2();

private:
    Ui::MainWindow *ui;
    QTimer * T1;
    QTimer * T2;
    QString poney;

    QString texte;

};

#endif // MAINWINDOW_H
