#include "fsm.h"

// sudo g++ -o FSM main.cpp fsm.cpp ci2c.cpp i2c_afficheur_4x20.cpp -l sqlite3

stateElement FSM::stateMatrix [][3] = {
            { {STATE_INIT, &FSM::action_init}, {STATE2,&FSM::action_2_1} , {STATE2, &FSM::action_2_2} },
            { {STATE3, &FSM::action_2_3}, {STATE3, &FSM::action_3_1}, {STATE3, &FSM::action_3_2} },
            { {STATE3, &FSM::action_3_3}, {STATE4, &FSM::action_4_1}, {STATE4, &FSM::action_4_2} }
        };

FSM::FSM()
{




    this->currentState = STATE_INIT;

}


FSM::~FSM()
{
}


void FSM::action_init()
{

    I2C_Afficheur_4x20 objAfficheur4_20(adresseLcd);
    objAfficheur4_20.lcdInit();
    objAfficheur4_20.lcdClear();
    QString requete;
    QSqlQuery db;
    db.prepare("SELECT (messg) FROM office;");
    db.exec();

        while (db.next()){
      requete = db.value(0).toString();


 }

    objAfficheur4_20.displayOn();
    objAfficheur4_20.writeLcdDisplay(requete.toStdString(),1);

}

void FSM::action_2_1()
{
    printf("action_init\n");

}



void FSM::action_2_2()
{
    printf("action_init\n");

}


void FSM::action_2_3()
{
    printf("action_init\n");

}


void FSM::action_3_1()
{
    printf("action_init\n");

}

void FSM::action_3_2()
{
    printf("action_init\n");

}

void FSM::action_3_3()
{
    printf("action_init\n");

}

void FSM::action_4_1()
{
    printf("action_init\n");

}

void FSM::action_4_2()
{
    printf("action_init\n");

}

void FSM::fsmGest()
{
    currentState = STATE_INIT;



	//Initializations
	event  eventOccured = NILEVENT;
	action actionToDo   = action_init;

	while(1) {
		// event input, NIL-event for non-changing input-alphabet of FSM
		// in real implementation this should be triggered by event registers e.g.
		// evaluation of complex binary expressions could be implemented to release the events

                int e = 0;

               printf("----------------\n");
               printf("Event to occure: ");
               scanf("%u",&e);
               stateEval( (event) e); // typecast to event enumeration type
               printf("-----------------\n");




    }
}

void FSM::stateEval(event e)
{


	//determine the State-Matrix-Element in dependany of current state and triggered event
        stateElement stateEvaluation = stateMatrix[currentState][e];

	//do the transition to the next state (set requestet next state to current state)...
	currentState = stateEvaluation.nextState;
	//... and fire the proper action
	(*stateEvaluation.actionToDo)();



}


void FSM::openBDD()
{

   bdd = QSqlDatabase::addDatabase("QSQLITE");
   bdd.setHostName("localhost");
   bdd.setDatabaseName("Urbaco");



    if(bdd.open())
    {


    }
    else{
        cout<<"erreur"<<endl;

}
}

