#ifndef MATRICE16X32_H
#define MATRICE16X32_H

#include <QMainWindow>
#include <QtGlobal>
#include <cstdlib>
#include <QString>
#include <iostream>
#include <QApplication>
#include <QTextEdit>
#include <QFile>
#include <QTextStream>
#include <wiringPi.h>
#include <QTimer>
#include <signal.h>


#include <QtSql/QSqlDatabase>
#include <QtSql/QSqlQuery>
#include <QtSql/QSqlDriver>                           //librairie bdd
#include <QtSql/QSqlDriverPlugin>

class Matrice16x32
{
public:
    Matrice16x32(int seGarer);

    void camion();
    void handicape();
    void attendre();
    void eteindre();
    void parking();
    void nfc();
    void nobadge();
    void presenceVoiture();
    void activation();
    void connexionBDD();


    QSqlDatabase d_db;
    QString d_host , d_dbname, d_username , d_pwd;


private:

    int garer;
    QString texte;
    QString texte1;
    QString texte2;
    QString texte3;
    QString poney;

};

#endif // MATRICE16X32_H
