#ifndef HT16K33_H
#define HT16K33_H

// Registers
#define HT16K33_REGISTER_DISPLAY_SETUP 0x80
#define HT16K33_REGISTER_SYSTEM_SETUP 0x20
#define HT16K33_REGISTER_DIMMING 0xE0

// Data base addresses
#define HT16K33_ADDRESS_KEY_DATA 0x40

// Blink rate
#define HT16K33_BLINKRATE_OFF 0x00
#define HT16K33_BLINKRATE_2HZ 0x01
#define HT16K33_BLINKRATE_1HZ 0x02
#define HT16K33_BLINKRATE_HALFHZ 0x03

#endif // HT16K33_H
