#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QTimer>

#include "ds3231.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    
private slots:

    void on_btn_set_clicked();

    void on_btn_get_date_clicked();

    void on_btn_reset_clicked();

    void sltOnTimer();

private:
    Ui::MainWindow *ui;

    DS3231 *RTC3231;

    QTimer *T1;
};

#endif // MAINWINDOW_H
