// inclusions des librairies
#include <iostream>
#include "i2c_afficheur_4x20.h"

using namespace std;

int main(void)
{
	// Ligne pour la compilation
	// g++ lcdExample.cpp -lwiringPi I2C_Afficheur_4x20.cpp -o lcdExample

	#define address 0x27

	// Instanciation de l'objet lcd avec comme parametre 0x27 (address)
	I2C_Afficheur_4x20 lcd(0x27);

	// Initialisation de l'afficheur
	lcd.lcdInit(0x08);

	//lcd.lcdClear();

	lcd.writeLcdDisplay("Hello World !", 1);
	//lcd.writeLcdDisplay("Je test du beaucoup!", 2);
	lcd.writeLcdDisplay("Hello World !", 3);
	//lcd.writeLcdDisplay("Lib Damien", 4);

	delay(5000);

	lcd.lcdInit(0x00);

	return 0;
}
