#include "mainwindow.h"
#include "ui_mainwindow.h"

#define adresse 0x20    // adresse de l'afficheur

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    lcd = new I2C_Afficheur_4x20(adresse,"QSQLITE", "localhost", "/home/pi/bdd/URBACO.db", "", "root");  //Crée un nouvelle objet lcd avec les parametres ADDRESE, ADDDATABASE, HOSTNAME, DATABASE, PASSWORD, USERNAME

    lcd->lcdInit(); // Initialisation de l'afficheur
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pb_check_clicked() // Simulation de deconection du wifi
{
    lcd->checkAffichage();  // Scan de la BDD et affichage
}
