#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QtSql/QSqlDatabase>
#include <QtSql/QSqlQuery>
#include <QTimer>

#include "i2c_afficheur_4x20.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    
private slots:
    void sltOnTimer();

    void on_btn_get_clicked();

    void on_btn_update_clicked();

private:
    Ui::MainWindow *ui;

    void connexionBDD();

    I2C_Afficheur_4x20 *lcd;

    QSqlQuery *querydb;

    QSqlDatabase bdd;

    QTimer *T1;

    QString text[4];

    bool test, first;
};

#endif // MAINWINDOW_H
